<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__profile__functions__interrupt" kind="group">
    <compoundname>group_profile_functions_interrupt</compoundname>
    <title>Interrupt Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__profile__functions__interrupt_1gaf530fa03abe1f90c9788ed4ee1ed140f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Profile_ISR</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_Profile_ISR</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>EP interrupt handler: Increments the overflow member of the counter structure, for each counter that is in use and has an overflow. </para>        </briefdescription>
        <detaileddescription>
<para>This handler is not configured or used automatically. You must configure the interrupt handler for the EP, using <ref kindref="member" refid="group__group__sysint__functions_1gab2ff6820a898e9af3f780000054eea5d">Cy_SysInt_Init()</ref>. Typically you configure the system to use <ref kindref="member" refid="group__group__profile__functions__interrupt_1gaf530fa03abe1f90c9788ed4ee1ed140f">Cy_Profile_ISR()</ref> as the overflow interrupt handler. You can provide a custom interrupt handler to perform additional operations if required. Your handler can call <ref kindref="member" refid="group__group__profile__functions__interrupt_1gaf530fa03abe1f90c9788ed4ee1ed140f">Cy_Profile_ISR()</ref> to handle counter overflow. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="115" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_profile.c" bodystart="94" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" line="371" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>